[blfs-dev] Problem trying to build apache-ant-1.9.2

Bruce Dubbs bruce.dubbs at gmail.com
Sun Aug 25 10:02:29 PDT 2013


Fernando de Oliveira wrote:
> Bruce, I am having trouble with this. Arch is i686. Log attached (big
> lines, pasting here would break)
>
> Perhaps I am not setting the appropriate envvars?
>
> Have tried with two different OJDK binaries, with the proprietary jdk.
> About the envvars, I am inclined to think they are not the problem, as
> ISTR having tested these instructions a couple of weeks ago and had the
> same problem. And older ant is there, JAVA_HME, etc., all have been
> tested in other OJDK builds. On the occasion, did not try further, was
> just testing...
>
> Have tested also to install older ant, but problem repeated. Is there
> any possibility the jUNIT binaries are archtecture dependent?
>
> I am trying this in order to build OJDK and update the tag to 7.4. Would
> it be appropriate, if in the meantime I use a binary ant to build OJDK?

Hmm.  I have /opt as a separate partition and have a previously built 
version of both java and apache-ant there.  What I did was fairly simple:

tar -xf apache-ant-1.9.2-src.tar.bz2
cd apache-ant-1.9.2
sed -i 's/jars,test-jar/jars/' build.xml
sudo ./build.sh -Ddist.dir=/opt/ant-1.9.x dist

using ant-1.9.x to prevent overwriting the earlier version.  Everything 
seems OK.

If yours fails, I'd suspect a problem with java.  I have:

$ which javac
/opt/jdk/bin/javac

Are you doing this on a virtual system?

   -- Bruce



More information about the blfs-dev mailing list